## Copyright (C) 2024 franc
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program.  If not, see <https://www.gnu.org/licenses/>.

## -*- texinfo -*-
## @deftypefn {} {@var{retval} =} Ej8H (@var{input1}, @var{input2})
##
## @seealso{}
## @end deftypefn

## Author: franc <franc@LAPTOP_FRAN>
## Created: 2024-10-30

function retval = Ej8H (delta)
  A = [1,1,1;delta,0,0;0,delta,0;0,0,delta];
  y = [1;0;0;0];
  H = Hh2(A); #H = Q'
  R = H*A;
  Ra = R(1:3,1:3);
  b = H*y; # Q'*y;
  ba = b(1:3);
  retval = Ra \ ba;
endfunction
